httpd-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Reaz Baksh" <sola...@dhantal.com>
Subject RE: [users@httpd] Help on perl
Date Fri, 06 Sep 2002 16:57:01 GMT
Thanks,
Does this also apply with PHP?
Can I just install PHP and have it work sort of the same way?

-----Original Message-----
From: Nelson, Robert D. [mailto:RDNelson@Mail.Donaldson.com] 
Sent: Friday, September 06, 2002 11:58 AM
To: 'users@httpd.apache.org'
Subject: RE: [users@httpd] Help on perl

Reaz:

No, you don't have to tell Apache where the Perl interpreter is located.
You add that to the top of the program in the shebang line...

 #!/usr/bin/perl

When the program is called your OS should look at this line to know what
interpreter to use.

 ~ Robert


-----Original Message-----
From: Reaz Baksh [mailto:solaris@dhantal.com]
Sent: Friday, September 06, 2002 10:58 AM
To: users@httpd.apache.org
Subject: RE: [users@httpd] Help on perl


-Do I have to add anything to the httpd.conf file to link apache to
perl5.8.0?  Assuming I'm not using mod_Perl.

            -I tried to add mod_Perl but when I did the 'make install'
in
the apache directory all the extra modules I've added in the original
instillation disappeared leaving me with only the default set of
modules.
How can I add mod_Perl without affecting those modules already loaded?
Also
I noticed in the httpd.conf file there is no LoadModule lines although
when
I do a 'httpd -l' I see all that is loaded.

Reaz


-----Original Message-----
From: Chris Taylor [mailto:chris@x-bb.org] 
Sent: Friday, September 06, 2002 11:03 AM
To: users@httpd.apache.org
Subject: Re: [users@httpd] Help on perl


No, Apache can interface with Perl as a CGI program, without
mod_perl.

mod_perl is very useful though.

Chris Taylor - The guy with the PS2 WebServer
Email: chris@x-bb.org - PGP: http://www.x-bb.org/chris.asc

- ----- Original Message ----- 
From: Reaz Baksh 
To: users@httpd.apache.org 
Sent: Friday, September 06, 2002 3:53 PM
Subject: [users@httpd] Help on perl


Hello 

Please bear with me with these questions.

I have Apache 1.3.26 installed on a Solarisx86 machine with some 3rd
party modules.

I also have perl 5.8.0 installed.  To make this Perl installation
work with Apache do I need to have mod_Perl installed?



Thanks



Reaz

---------------------------------------------------------------------
The official User-To-User support forum of the Apache HTTP Server
Project.
See <URL:http://httpd.apache.org/userslist.html> for more info.
To unsubscribe, e-mail: users-unsubscribe@httpd.apache.org
   "   from the digest: users-digest-unsubscribe@httpd.apache.org
For additional commands, e-mail: users-help@httpd.apache.org


---------------------------------------------------------------------
The official User-To-User support forum of the Apache HTTP Server Project.
See <URL:http://httpd.apache.org/userslist.html> for more info.
To unsubscribe, e-mail: users-unsubscribe@httpd.apache.org
   "   from the digest: users-digest-unsubscribe@httpd.apache.org
For additional commands, e-mail: users-help@httpd.apache.org


Mime
View raw message